Adds nodes after the node

- « Dom\ChildNode

- Dom\ChildNode::before »

- PHP Manual
- Dom\ChildNode
- Adds nodes after the node

# Dom\ChildNode::after

(PHP 8 >= 8.4.0)

Dom\ChildNode::after — Adds nodes after the node

### Description

public Dom\ChildNode::after(Dom\Node|string `...$nodes`): void

Adds the passed `nodes` after the node.

### Parameters

`nodes`

  Nodes to be added after the node. Strings are automatically converted to text nodes.

### Return Values

No value is returned.

### Errors/Exceptions

`DOM_HIERARCHY_REQUEST_ERR`

  Raised if the parent is of a type that does not allow children of the type of one of the passed `nodes`, or if the node to put in is one of this node's ancestors or this node itself.

`DOM_WRONG_DOCUMENT_ERR`

  Raised if one of the passed `nodes` was created from a different document than the one that created this node.

### See Also

- Dom\ChildNode::before() - Adds nodes before the node
- Dom\ChildNode::remove() - Removes the node
- Dom\ChildNode::replaceWith() - Replaces the node with new nodes
- Dom\Node::appendChild()